summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-upload-artifact.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/fuel/fuel-upload-artifact.sh')
-rwxr-xr-xjjb/fuel/fuel-upload-artifact.sh51
1 files changed, 42 insertions, 9 deletions
diff --git a/jjb/fuel/fuel-upload-artifact.sh b/jjb/fuel/fuel-upload-artifact.sh
index 8b69f5a78..47cf8985c 100755
--- a/jjb/fuel/fuel-upload-artifact.sh
+++ b/jjb/fuel/fuel-upload-artifact.sh
@@ -1,6 +1,12 @@
#!/bin/bash
-set -o errexit
-set -o nounset
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
set -o pipefail
# check if we built something
@@ -10,14 +16,30 @@ if [ -f $WORKSPACE/.noupload ]; then
exit 0
fi
-# log info to console
-echo
-echo "Uploading the $INSTALLER_TYPE artifact. This could take some time..."
-echo
-
# source the opnfv.properties to get ARTIFACT_VERSION
source $WORKSPACE/opnfv.properties
+# storing ISOs for verify & merge jobs will be done once we get the disk array
+if [[ ! "$JOB_NAME" =~ (verify|merge) ]]; then
+ # store ISO locally on NFS first
+ ISOSTORE="/iso_mount/opnfv_ci/${GIT_BRANCH##*/}"
+ if [[ -d "$ISOSTORE" ]]; then
+ # remove all but most recent 5 ISOs first to keep iso_mount clean & tidy
+ cd $ISOSTORE
+ ls -tp | grep -v '/' | tail -n +6 | xargs -d '\n' /bin/rm -f --
+
+ # store ISO
+ echo "Storing $INSTALLER_TYPE artifact on NFS..."
+ /bin/cp -f $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso \
+ $ISOSTORE/opnfv-$OPNFV_ARTIFACT_VERSION.iso
+ fi
+fi
+
+# log info to console
+echo "Uploading $INSTALLER_TYPE artifact. This could take some time..."
+echo
+
+cd $WORKSPACE
# upload artifact and additional files to google storage
gsutil cp $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso \
gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > gsutil.iso.log 2>&1
@@ -33,11 +55,22 @@ fi
gsutil -m setmeta \
-h "Content-Type:text/html" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://$GS_URL/*.properties > /dev/null 2>&1
+ gs://$GS_URL/latest.properties \
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > /dev/null 2>&1
gsutil -m setmeta \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://$GS_URL/*.iso > /dev/null 2>&1
+ gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+
+# disabled errexit due to gsutil setmeta complaints
+# BadRequestException: 400 Invalid argument
+# check if we uploaded the file successfully to see if things are fine
+gsutil ls gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > /dev/null 2>&1
+if [[ $? -ne 0 ]]; then
+ echo "Problem while uploading artifact!"
+ echo "Check log $WORKSPACE/gsutil.iso.log on the machine where this build is done."
+ exit 1
+fi
echo "Done!"
echo